summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsrc/deb.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/src/deb.sh b/src/deb.sh
index 794d874..6058c71 100755
--- a/src/deb.sh
+++ b/src/deb.sh
@@ -296,6 +296,13 @@ EOF
ver="${ver#${pkg}_}"
ver="${ver%-*}"
+ # Check if source package is already unpacked.
+ if [ -d "${DEB_TREE}/work/${pkg}/${pkg}-${ver}" ]; then
+ prompt_bool n \
+ 'Source package "%s" already unpacked for editing. Remove?' \
+ "${pkg}" || exit
+ fi
+
# Create clean work area for source package.
rm -Rf "${DEB_TREE}/work/${pkg}"
mkdir -p "${DEB_TREE}/work/${pkg}"